M_ActiveReward = {}

function M_ActiveReward:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActiveReward:init()
	self.datas = {}
	self.datas[1] = {ID = 1, NeedActive = 2, Name = "10冰冻", ItemId = 110, Count = 2, Icon = "UI/Image/FreezeIcon.png"}
	self.datas[2] = {ID = 2, NeedActive = 4, Name = "2000金币", ItemId = 1, Count = 2000, Icon = "Common3/M_ShopIcon_6.png"}
	self.datas[3] = {ID = 3, NeedActive = 6, Name = "3龙珠", ItemId = 14, Count = 3, Icon = "Common3/M_Bead.png"}
end

M_ActiveReward:init()
